// NameFormDlg.cpp:  
//

#include "stdafx.h"
#include "Anketa.h"
#include "NameFormDlg.h"
#include "afxdialogex.h"
#include <string>

using namespace std;

extern wstring person[3];

int char_quantity[3] = { 0, 0, 0 };
//   NameFormDlg

IMPLEMENT_DYNAMIC(NameFormDlg, CDialogEx)

NameFormDlg::NameFormDlg(CWnd* pParent /*=NULL*/)
	: CDialogEx(IDD_NAMES, pParent)
{

}

NameFormDlg::~NameFormDlg()
{
}

void NameFormDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialogEx::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_SURNAME, surname_edit_control);
	DDX_Control(pDX, IDC_NAME, name_edit_control);
	DDX_Control(pDX, IDC_PATRONYMIC, patronymic_edit_control);
}


BEGIN_MESSAGE_MAP(NameFormDlg, CDialogEx)
	ON_BN_CLICKED(IDOK, &NameFormDlg::OnBnClickedOk)
	ON_EN_CHANGE(IDC_SURNAME, &NameFormDlg::OnEnChangeSurname)
	ON_EN_CHANGE(IDC_NAME, &NameFormDlg::OnEnChangeName)
	ON_EN_CHANGE(IDC_PATRONYMIC, &NameFormDlg::OnEnChangePatronymic)
	ON_WM_DESTROY()
	ON_WM_CLOSE()
END_MESSAGE_MAP()


//   NameFormDlg


BOOL NameFormDlg::OnInitDialog()
{
	CDialogEx::OnInitDialog();

	// TODO:    
	surname_edit_control.SetCueBanner(L"", 1);
	name_edit_control.SetCueBanner(L"", 1);
	patronymic_edit_control.SetCueBanner(L"", 1);

	return TRUE;  // return TRUE unless you set the focus to a control
				  // :   OCX    FALSE
}


void NameFormDlg::OnBnClickedOk()
{
	// TODO:     
	CString temp;
	GetDlgItem(IDC_SURNAME)->GetWindowText(temp);
	person[0] = temp;
	//wstring number = to_wstring(char_quantity[0]) + L" " + to_wstring(char_quantity[1]) + L" " + to_wstring(char_quantity[2]);
	//MessageBox(number.c_str() , L"check", MB_OK);

	GetDlgItem(IDC_NAME)->GetWindowText(temp);
	person[1] = temp;

	GetDlgItem(IDC_PATRONYMIC)->GetWindowText(temp);
	person[2] = temp;


	CDialogEx::OnDestroy();
	EndDialog(1);
	//CDialogEx::OnOK();
}


void NameFormDlg::OnEnChangeSurname()
{
	// TODO:      RICHEDIT,     
	// send this notification unless you override the CDialogEx::OnInitDialog()
	// function and call CRichEditCtrl().SetEventMask()
	// with the ENM_CHANGE flag ORed into the mask.

	// TODO:     

	char_quantity[0] = GetDlgItem(IDC_SURNAME)->GetWindowTextLengthW();

	if ((char_quantity[0] != 0) && (char_quantity[1] != 0) && (char_quantity[2] != 0))
	{
		if (!GetDlgItem(IDOK)->IsWindowEnabled())
			GetDlgItem(IDOK)->EnableWindow(TRUE);
	}
	else
	{
		if (GetDlgItem(IDOK)->IsWindowEnabled())
			GetDlgItem(IDOK)->EnableWindow(FALSE);
	}
}


void NameFormDlg::OnEnChangeName()
{
	// TODO:      RICHEDIT,     
	// send this notification unless you override the CDialogEx::OnInitDialog()
	// function and call CRichEditCtrl().SetEventMask()
	// with the ENM_CHANGE flag ORed into the mask.

	// TODO:     

	char_quantity[1] = GetDlgItem(IDC_NAME)->GetWindowTextLengthW();

	if ((char_quantity[0] != 0) && (char_quantity[1] != 0) && (char_quantity[2] != 0))
	{
		if (!GetDlgItem(IDOK)->IsWindowEnabled())
			GetDlgItem(IDOK)->EnableWindow(TRUE);
	}
	else
	{
		if (GetDlgItem(IDOK)->IsWindowEnabled())
			GetDlgItem(IDOK)->EnableWindow(FALSE);
	}
}


void NameFormDlg::OnEnChangePatronymic()
{
	// TODO:      RICHEDIT,     
	// send this notification unless you override the CDialogEx::OnInitDialog()
	// function and call CRichEditCtrl().SetEventMask()
	// with the ENM_CHANGE flag ORed into the mask.

	// TODO:     

	char_quantity[2] = GetDlgItem(IDC_PATRONYMIC)->GetWindowTextLengthW();

	if ((char_quantity[0] != 0) && (char_quantity[1] != 0) && (char_quantity[2] != 0))
	{
		if (!GetDlgItem(IDOK)->IsWindowEnabled())
			GetDlgItem(IDOK)->EnableWindow(TRUE);
	}
	else
	{
		if (GetDlgItem(IDOK)->IsWindowEnabled())
			GetDlgItem(IDOK)->EnableWindow(FALSE);
	}
}





void NameFormDlg::OnClose()
{
	// TODO:        
	if (MessageBox(_T("   "), _T(""), MB_YESNO) == IDYES)
		NameFormDlg::OnDestroy();
}

void NameFormDlg::OnDestroy()
{
	CDialogEx::OnDestroy();

	EndDialog(0);

	// TODO:     
}
