
// AnketaDlg.cpp :  
//

#include "stdafx.h"
#include "Anketa.h"
#include "AnketaDlg.h"
#include "afxdialogex.h"
#include <Windows.h>
#include <iostream>
#include <fstream>
#include <locale>
#include <codecvt>
#include <string>
#include <limits> 
#include "NameFormDlg.h"


#define Q_SIZE 1000
#define A_QUANTITY 4
#define A_SIZE 100

#undef max

/*#ifdef _DEBUG
#define new DEBUG_NEW
#endif*/

struct answer
{
	int value;
	int weight;
};

using namespace std;

wstring person[3];
wifstream questions_file;
int q_max, q_index = 0;
wchar_t question_string[Q_SIZE];
wofstream log_file;
BOOL finished = FALSE;
answer *output;

/*class question
{
	LPCWSTR question_text;
	//char answers[A_QUANTITY][A_SIZE];
	//int answer_values[A_QUANTITY];
public:
	question()
	{
		wchar_t* temp = new wchar_t[Q_SIZE];
		qstns_file.getline(temp, Q_SIZE);

		question_text = temp;
		/*for (int i = 0; i < A_QUANTITY; i++)
		{
		qstns_file.getline(answers[i], A_SIZE);
		qstns_file >> answer_values[i];
		qstns_file.get();
		}
	}

	~question()
	{
		delete question_text;
	}

	LPCWSTR get_question()
	{
		return question_text;
	}
};*/


//   CAnketaDlg
int answer_value = -1;
int answer_weight = -1;


CAnketaDlg::CAnketaDlg(CWnd* pParent /*=NULL*/)
	: CDialogEx(IDD_ANKETA_DIALOG, pParent)
	, radio2_set(-1)
	, radio1_set(-1)
{
	//m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CAnketaDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialogEx::DoDataExchange(pDX);
	DDX_Radio(pDX, IDC_RADIO2_1, radio2_set);
	DDX_Radio(pDX, IDC_RADIO1_1, radio1_set);
}

BEGIN_MESSAGE_MAP(CAnketaDlg, CDialogEx)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_RADIO1_2, &CAnketaDlg::OnBnClickedRadio12)
	ON_BN_CLICKED(IDC_RADIO1_1, &CAnketaDlg::OnBnClickedRadio11)
	ON_BN_CLICKED(IDC_RADIO1_3, &CAnketaDlg::OnBnClickedRadio13)
	ON_BN_CLICKED(IDC_RADIO1_4, &CAnketaDlg::OnBnClickedRadio14)
	ON_BN_CLICKED(IDC_RADIO1_5, &CAnketaDlg::OnBnClickedRadio15)
	ON_BN_CLICKED(IDC_RADIO2_2, &CAnketaDlg::OnBnClickedRadio22)
	ON_BN_CLICKED(IDC_RADIO2_1, &CAnketaDlg::OnBnClickedRadio21)
	ON_BN_CLICKED(IDC_RADIO2_3, &CAnketaDlg::OnBnClickedRadio23)
	ON_BN_CLICKED(IDC_RADIO2_4, &CAnketaDlg::OnBnClickedRadio24)
	ON_BN_CLICKED(IDC_RADIO2_5, &CAnketaDlg::OnBnClickedRadio25)
	ON_BN_CLICKED(IDOK, &CAnketaDlg::OnBnClickedOk)
	ON_WM_CLOSE()
	ON_WM_DESTROY()
END_MESSAGE_MAP()


//   CAnketaDlg

BOOL CAnketaDlg::OnInitDialog()
{
	CDialogEx::OnInitDialog();

	//      .     ,
	//        
	SetIcon(m_hIcon, TRUE);			//  
	SetIcon(m_hIcon, FALSE);		//  

	// TODO:   

	const std::locale empty_locale = std::locale::empty();
	typedef std::codecvt_utf8<wchar_t> converter_type;
	const converter_type* converter = new converter_type;
	const std::locale utf8_locale = std::locale(empty_locale, converter);

	questions_file.imbue(utf8_locale);
	log_file.imbue(utf8_locale);

	questions_file.open("questions.txt", ios::out);
	if (!questions_file.is_open())
	{
		MessageBox(L"   ", L"", MB_ICONERROR);
		CAnketaDlg::OnDestroy();
	}
	
	questions_file >> q_max;
	questions_file.get();

	wifstream temp_file;
	temp_file.open("results.txt");
	if (!temp_file.is_open())
	{
		log_file.open("results.txt", ios::app);
		if (!log_file.is_open())
		{
			MessageBox(L"   ", L"", MB_ICONERROR);
			CAnketaDlg::OnDestroy();
		}	
		wstring temp;
		getline(questions_file, temp);
		log_file << temp << endl;

	}
	else
	{
		temp_file.close();
		log_file.open("results.txt", ios::app);
		questions_file.ignore(numeric_limits<streamsize>::max(), '\n');
	}


	output = new answer[q_max];

	questions_file.getline(question_string, Q_SIZE);
	SetDlgItemText(IDC_QUESTION, question_string);

	wstring progress = to_wstring(q_index + 1) + L"/" + to_wstring(q_max);
	SetDlgItemText(IDC_PROGRESS, progress.c_str());




	return TRUE;  //   TRUE,      
}

//            ,
//    .    MFC,     ,
//      .

void CAnketaDlg::OnPaint()
{
	if (IsIconic())
	{
		CPaintDC dc(this); //    

		SendMessage(WM_ICONERASEBKGND, reinterpret_cast<WPARAM>(dc.GetSafeHdc()), 0);

		//      
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		//  
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialogEx::OnPaint();
	}
}

//          
//   .
HCURSOR CAnketaDlg::OnQueryDragIcon()
{
	return static_cast<HCURSOR>(m_hIcon);
}



void CAnketaDlg::OnBnClickedRadio11()
{
	if (IsDlgButtonChecked(IDC_RADIO1_1))
	{
		answer_value = 1;
		if ((answer_value != -1) && (answer_weight != -1))
		{
			CWnd *wnd = this->GetDlgItem(IDOK);
			if (!wnd->IsWindowEnabled())
				wnd->EnableWindow(TRUE);
		}
	}	
}


void CAnketaDlg::OnBnClickedRadio12()
{
	if (IsDlgButtonChecked(IDC_RADIO1_2))
	{
		answer_value = 2;
		if ((answer_value != -1) && (answer_weight != -1))
		{
			CWnd *wnd = this->GetDlgItem(IDOK);
			if (!wnd->IsWindowEnabled())
				wnd->EnableWindow(TRUE);
		}
	}
}


void CAnketaDlg::OnBnClickedRadio13()
{
	if (IsDlgButtonChecked(IDC_RADIO1_3))
	{
		answer_value = 3;
		if ((answer_value != -1) && (answer_weight != -1))
		{
			CWnd *wnd = this->GetDlgItem(IDOK);
			if (!wnd->IsWindowEnabled())
				wnd->EnableWindow(TRUE);
		}
	}
}


void CAnketaDlg::OnBnClickedRadio14()
{
	if (IsDlgButtonChecked(IDC_RADIO1_4))
	{
		answer_value = 4;
		if ((answer_value != -1) && (answer_weight != -1))
		{
			CWnd *wnd = this->GetDlgItem(IDOK);
			if (!wnd->IsWindowEnabled())
				wnd->EnableWindow(TRUE);
		}
	}
}


void CAnketaDlg::OnBnClickedRadio15()
{
	if (IsDlgButtonChecked(IDC_RADIO1_5))
	{
		answer_value = 5;
		if ((answer_value != -1) && (answer_weight != -1))
		{
			CWnd *wnd = this->GetDlgItem(IDOK);
			if (!wnd->IsWindowEnabled())
				wnd->EnableWindow(TRUE);
		}
	}
}


void CAnketaDlg::OnBnClickedRadio21()
{
	if (IsDlgButtonChecked(IDC_RADIO2_1))
	{
answer_weight = 1;
if ((answer_value != -1) && (answer_weight != -1))
{
	CWnd *wnd = this->GetDlgItem(IDOK);
	if (!wnd->IsWindowEnabled())
		wnd->EnableWindow(TRUE);
}
	}
}


void CAnketaDlg::OnBnClickedRadio22()
{
	if (IsDlgButtonChecked(IDC_RADIO2_2))
	{
		answer_weight = 2;
		if ((answer_value != -1) && (answer_weight != -1))
		{
			CWnd *wnd = this->GetDlgItem(IDOK);
			if (!wnd->IsWindowEnabled())
				wnd->EnableWindow(TRUE);
		}
	}
}



void CAnketaDlg::OnBnClickedRadio23()
{
	if (IsDlgButtonChecked(IDC_RADIO2_3))
	{
		answer_weight = 3;
		if ((answer_value != -1) && (answer_weight != -1))
		{
			CWnd *wnd = this->GetDlgItem(IDOK);
			if (!wnd->IsWindowEnabled())
				wnd->EnableWindow(TRUE);
		}
	}
}


void CAnketaDlg::OnBnClickedRadio24()
{
	if (IsDlgButtonChecked(IDC_RADIO2_4))
	{
		answer_weight = 4;
		if ((answer_value != -1) && (answer_weight != -1))
		{
			CWnd *wnd = this->GetDlgItem(IDOK);
			if (!wnd->IsWindowEnabled())
				wnd->EnableWindow(TRUE);
		}
	}
}


void CAnketaDlg::OnBnClickedRadio25()
{
	if (IsDlgButtonChecked(IDC_RADIO2_5))
	{
		answer_weight = 5;
		if ((answer_value != -1) && (answer_weight != -1))
		{
			CWnd *wnd = this->GetDlgItem(IDOK);
			if (!wnd->IsWindowEnabled())
				wnd->EnableWindow(TRUE);
		}
	}
}


void CAnketaDlg::OnBnClickedOk()
{
	
	output[q_index].value = answer_value;
	output[q_index].weight = answer_weight;
		
	q_index++;
	//log_file << answer_value << " ";
	//log_file << answer_weight << "  ";

	if (q_index != q_max)
		{
		questions_file.getline(question_string, Q_SIZE);
		SetDlgItemText(IDC_QUESTION, question_string);

		wstring progress = to_wstring(q_index + 1) + L"/" + to_wstring(q_max);
		SetDlgItemText(IDC_PROGRESS, progress.c_str());

		answer_value = -1;
		answer_weight = -1;
		UpdateData(FALSE);
		GetDlgItem(IDOK)->EnableWindow(FALSE);
	}
	else
	{
		finished = TRUE;
		MessageBox(L"  ", L"", MB_OK);
		CAnketaDlg::OnDestroy();
	}
		
	//CDialogEx::OnOK();
}


void CAnketaDlg::OnClose()
{
	// TODO:        

	if (MessageBox(_T("   "), _T(""), MB_YESNO) == IDYES)
		CAnketaDlg::OnDestroy();
}


void CAnketaDlg::OnDestroy()
{
	if (questions_file.is_open())
		questions_file.close();
	if (log_file.is_open())
	{
		if (finished)
		{
			log_file << person[0].c_str() << L" ";
			log_file << person[1].c_str() << L" ";
			log_file << person[2].c_str() << L" ";
			for (int i = 0; i < q_max; i++)
			{
				log_file << output[i].value << " ";
				log_file << output[i].weight << "  ";
			}
			log_file << '\n';
			log_file.close();
		}
	}

	CDialogEx::OnDestroy();

	EndDialog(0);
	// TODO:     
}
